#pragma once
#include "Graphics/Renderable.h"
#include "Scene/SceneNodeTypes.h"

#include <glm/glm.hpp>
#include "../../src/Scene/SceneNodeTypes.cpp"
/*
* Define a helper class to more easily build a proper scene 
*/
static class SceneBuilder {

	static Group* AddGroup(std::string name);
	static BarinkEngine::SceneObject* AddVisual(std::string name, BarinkEngine::Renderable& object, glm::vec3 position );

};